Summary: XView libraries for X11
Name: xview
Version: 3.2p1.4
Release: 16
Distribution: 8.0 (Psyche)
Source0: metalab.unc.edu:/pub/Linux/distributions/debian/main/source/x11/xview_3.2p1.4.orig.tar.gz
Source1: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/Xinitrc.ol
Source2: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/openwin
Source3: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/openwin-menu-programs
Patch0: xview_3.2p1.4-16.diff.gz
Copyright: Distributable
Group: X11/Libraries
BuildRoot: /tmp/%{name}-%{version}-%{release}-soft
Packager: George Moody <george@mit.edu>
URL: ftp://ftp.debian.org/debian/pool/main/x/xview/
#Summary(de): 

%changelog
* Thu Oct 31 2002 George Moody <george@mit.edu>

- Incorporated latest patches from debian
- Fixed %build and %install stages in spec file 
- Compiled for Red Hat 8.0

* Thu Jun 3 1999 Volker Kuhlmann <v.kuhlmann@elec.canterbury.ac.nz>

- Compiled for Red Hat 6.0
- Fixed bug with properties program segfaulting (missing locale files)

* Sun Jul 5 1998 Volker Kuhlmann <v.kuhlmann@elec.canterbury.ac.nz>

- The xview rpms contributed for RH 5.0 don't work properly under 5.1. This
  uses the latest debian sources for xview and packs it up into rpms.

%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels.  The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard, using
the xview libraries. While somewhat outdated and superseded by Motif,
or gtk, it is still very useful, especially in providing compatibility
with older installations.

It is possible that the openwin desktop takes up much less disk space
to install and memory to run than modern desktops, which would make it
a good candidate for old hardware.

#%description -l de

%package clients
Summary: OpenWindows clients.
Group: X11/Window
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description clients
A number of clients and utilties for OpenWindows, including olwm, textedit,
and more. Also included is olvwm, the OpenWindows virtual window manager,
with support for 24-bit color modes.

%package devel
Summary: Header files and static libraries for XView development
Group: Development/Libraries
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description devel
All the files needed to develop applications that, using the XView libraries,
meet the Open Look interface specifications.

%package devel-examples
Requires: xview-devel
Summary: A number of example programs and tutorials for the XView libraries.
Group: Development/Libraries
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description devel-examples
Sample programs - with source code - that cover the basics of XView
programming are included in this package.

Also includes documents on the XView API (Application Programming Interface).

%prep
%setup -n xview-3.2p1.4
# if there is no %setup:
# cd $RPM_BUILD_DIR/xview-3.2p1.4
%patch0 -p1 -b .orig

%build
# rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
sh Build-LinuxXView.bash libs || ( cd lib/libxview; make all )
export -n DESTDIR
DESTDIR=$RPM_BUILD_ROOT . Build-LinuxXView.bash instlibs clients instclients
cd clients/olvwm-4.1
xmkmf -a
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/openwin/bin
mkdir -p $RPM_BUILD_ROOT/usr/openwin/include
mkdir -p $RPM_BUILD_ROOT/usr/openwin/lib
mkdir -p $RPM_BUILD_ROOT/usr/openwin/man
mkdir -p $RPM_BUILD_ROOT/usr/openwin/share

ln -sf ../openwin/lib/.text_extras_menu $RPM_BUILD_ROOT/usr/lib/.text_extras_menu

install -m555 $RPM_SOURCE_DIR/openwin $RPM_BUILD_ROOT/usr/openwin/bin/openwin
install -m444 $RPM_SOURCE_DIR/openwin-menu-programs $RPM_BUILD_ROOT/usr/openwin/lib

mkdir -p $RPM_BUILD_ROOT/usr/openwin/lib/app-defaults
install -m555 $RPM_SOURCE_DIR/Xinitrc.ol $RPM_BUILD_ROOT/usr/openwin/lib/Xinitrc

mkdir -p $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props
install -m444 contrib/misc/props-locale.C $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props/C
install -m444 contrib/misc/props-locale.basic_setting $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props/basic_setting

# Strictly speaking, this requires perl, but we won't bother because everything else
# runs without perl and these scripts are not so important.
install -m555 contrib/misc/capitalize $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/insert_brackets $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/remove_brackets $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/shift_lines $RPM_BUILD_ROOT/usr/openwin/bin

cd clients/olvwm-4.1
make install

%post
if [ ! -f /etc/man.config ]; then
	echo "MANPATH /usr/openwin/man" > /etc/man.conf
	chmod 644 /etc/man.conf
else
	if ! grep '^MANPATH /usr/openwin/man' /etc/man.config > /dev/null; then
		echo "MANPATH /usr/openwin/man" >> /etc/man.config
	fi
fi
if [ ! -f /etc/ld.so.conf ]; then
        echo "/usr/openwin/lib" > /etc/ld.so.conf
	chmod 600 /etc/ld.so.conf
else
        if ! grep '^/usr/openwin/lib$' /etc/ld.so.conf > /dev/null; then
                echo "/usr/openwin/lib" >> /etc/ld.so.conf
        fi
fi

# fix up permissions for when rpms not compiled by root
# (not a good idea as the change is not recorded in the rpm data base)
#chown 0:0 \
#/usr/openwin \
#/usr/openwin/lib
#chown -R 0:0 \
#/usr/openwin/lib/app-defaults \
#/usr/openwin/lib/libolgx.so.* \
#/usr/openwin/lib/libxview.so.*

/sbin/ldconfig

%postun

if [ $1 = "0" ]; then
    grep -v /usr/openwin/lib /etc/ld.so.conf > /etc/ld.so.conf.net
    mv -f /etc/ld.so.conf.net /etc/ld.so.conf
    grep -v /usr/openwin/man /etc/man.config > /etc/man.config.net
    mv -f /etc/man.config.net /etc/man.config
fi

/sbin/ldconfig

%post clients

#chown 0:0 \
#/usr/openwin/bin \
#/usr/openwin/man \
#/usr/openwin/include \
#/usr/openwin/include/images \
#/usr/openwin/include/bitmaps
#chown -R 0:0 \
#/usr/lib/.text_extras_menu \
#/usr/openwin/lib/help \
#/usr/openwin/lib/text_extras_menu \
#/usr/openwin/lib/.text_extras_menu \
#/usr/openwin/lib/textswrc \
#/usr/openwin/lib/.textswrc \
#/usr/openwin/lib/ttyswrc \
#/usr/openwin/lib/.ttyswrc \
#/usr/openwin/lib/openwin-menu \
#/usr/openwin/lib/openwin-menu-programs \
#/usr/openwin/lib/Xinitrc \
#/usr/openwin/bin \
#/usr/openwin/man \
#/usr/openwin/include/images \
#/usr/openwin/include/bitmaps

%post devel

#chown -R 0:0 \
#/usr/openwin/include/olgx/*.h \
#/usr/openwin/lib/libolgx.so \
#/usr/openwin/lib/libxview.so \
#/usr/openwin/include/olgx_private/*.h \
#/usr/openwin/include/xview/*.h \
#/usr/openwin/include/xview_private/*.h \
#/usr/openwin/include/pixrect/*.h \
#/usr/openwin/lib/libxview.a \
#/usr/openwin/lib/libolgx.a

%post devel-examples

#chown 0:0 \
#/usr/openwin/share
#chown -R 0:0 \
#/usr/openwin/share/src \
#/usr/openwin/share/doc

%clean 
#rm -fr $RPM_BUILD_ROOT

%files
%config /usr/openwin/lib/app-defaults
/usr/openwin/lib/libolgx.so.*
/usr/openwin/lib/libxview.so.*

%files clients
/usr/lib/.text_extras_menu
/usr/openwin/bin
/usr/openwin/include/bitmaps
/usr/openwin/include/images
/usr/openwin/lib/.text_extras_menu
/usr/openwin/lib/.textswrc
/usr/openwin/lib/.ttyswrc
/usr/openwin/lib/Xinitrc
/usr/openwin/lib/help
/usr/openwin/lib/openwin-menu
/usr/openwin/lib/openwin-menu-programs
/usr/openwin/lib/text_extras_menu
/usr/openwin/lib/textswrc
/usr/openwin/lib/ttyswrc
/usr/openwin/man
/usr/openwin/share/locale/C/props/C
/usr/openwin/share/locale/C/props/basic_setting

%files devel
%config /usr/X11R6/lib/X11/config
/usr/openwin/include/olgx/*.h
/usr/openwin/include/olgx_private/*.h
/usr/openwin/include/pixrect/*.h
/usr/openwin/include/xview/*.h
/usr/openwin/include/xview_private/*.h
/usr/openwin/lib/libolgx.a
/usr/openwin/lib/libolgx.so
/usr/openwin/lib/libxview.a
/usr/openwin/lib/libxview.so

%files devel-examples
/usr/openwin/share/doc
/usr/openwin/share/src
